find_package(TBB REQUIRED)
find_package(OpenVDB REQUIRED)
find_package(Boost REQUIRED COMPONENTS filesystem system)

# include_directories(${CUDA_TOOLKIT_ROOT_DIR}/include)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../utils)
include_directories(${Boost_INCLUDE_DIRS})
include_directories("../utils")
set(CMAKE_CUDA_ARCHITECTURES native)

set(SOURCE_FILES
        main.cpp
        COFLIPSolver.cpp
        )
add_executable(COFLIP3D ${SOURCE_FILES})
target_link_libraries(COFLIP3D  ${TBB_LIBRARIES})
target_link_libraries(COFLIP3D  ${OPENVDB_LIBRARIES})
target_link_libraries(COFLIP3D ${Boost_LIBRARIES})
